hswaw - Bugless #60

customs: laserproxy does not come up on startup
06/10/2022 10:32 PM - g3k

Status: Resolved
Priority: Normal
Assignee: vuko
Category: hscloud
Description

After a customs power cycle:

The job identifier is 123.
Jun 10 18:06:00 customs laserproxy[575]: E0610 18:06:00.739117 575 kubernetes.go:41] Kubernete
s InClusterConfig: unable to load in-cluster configuration, KUBERNETES_SERVICE_HOST and KUBERNETES
_SERVICE_PORT must be defined

Jun 10 18:06:00 customs laserproxy[575]: I0610 18:06:00.739569 575 kubernetes.go:42] Mirko: no
kubernetes config available...

Jun 10 18:06:00 customs laserproxy[575]: F0610 18:06:00.739885 575 main.go:49] could not liste
n on laser network: listen udp 10.11.0.1:40200: bind: cannot assign requested address

Jun 10 18:06:00 customs systemd[l]: laserproxy.service: Main process exited, code=exited, status=2
55/EXCEPTION

Subject: Unit process exited
Defined-By: systemd
Support: https://lists.freedesktop.org/mailman/listinfo/systemd-devel

An ExecStart= process belonging to unit laserproxy.service has exited.

The process' exit code is 'exited' and its exit status is 255.
Jun 10 18:06:00 customs systemd[l]: laserproxy.service: Failed with result 'exit-code'.

Doing a “systemctl restart laserproxy fixes things, but this shouldn't be necessary. Either the laserproxy unit should sequence itself
after the network is up, or at least attempt to restart on failure.

History

#1 - 06/10/2022 10:33 PM - q3k

- Description updated

#2 - 06/10/2022 10:33 PM - q3k

- Description updated

#3 - 07/04/2022 01:08 PM - q3k

- Category set to hscloud

#4 - 07/05/2022 05:52 PM - vuko

- Status changed from Assigned to Resolved

Fixed in https:/gerrit.hackerspace.pl/c/hscloud/+/1326
